[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ChangeFileExt

Change the extension of a filename.

## Declaration

Source position: finah.inc line 23

`function ChangeFileExt(`
`const FileName: String;`
`const Extension: String`
`):String;`

## Description

ChangeFileExt changes the file extension in FileName to Extension. The extension Extension includes the starting . (dot). The previous extension of FileName are all characters after the last ., the . character included.

If FileName doesn't have an extension, Extension is just appended.

## Errors

None.

## See also

ExtractFileName |  | Extract the filename part from a full path filename.
ExtractFilePath |  | Extract the path from a filename.
ExpandFileName |  | Expand a relative filename to an absolute filename.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.